# # Stage 1: Сборка приложения
# FROM node:18-alpine as builder

# WORKDIR /app

# # Копируем файлы package.json и package-lock.json
# COPY package*.json ./

# # Устанавливаем зависимости
# RUN npm ci

# # Копируем исходный код
# COPY . .

# # Собираем приложение
# # RUN npm run build
# CMD ["npm", "run", "start" ]

# # Stage 2: Настройка production-окружения
# # FROM nginx:alpine

# # Копируем собранные файлы из предыдущего этапа
# # COPY --from=builder /app/dist /usr/share/nginx/html

# # # Копируем конфигурацию nginx
# # COPY nginx.conf /etc/nginx/conf.d/default.conf

# # Открываем порт 80
# EXPOSE 80

# # Запускаем nginx
# # CMD ["nginx", "-g", "daemon off;"]


# FROM node:18-alpine

# WORKDIR /app
# COPY package*.json ./
# RUN npm install
# COPY . .

# EXPOSE 3000
# CMD ["npm", "start"]

FROM node:alpine as build
WORKDIR /app
COPY . .
RUN npm install
RUN npm run build

# production enviroment
FROM nginx:stable-alpine
COPY --from=build /app/build /var/www/build
COPY --from=build /app/nginx.conf /etc/nginx/sites-enabled/default
EXPOSE 80
CMD ["nginx", "-g", "daemon off;"]